Skip to main content

GET /gpdomains/v2/timeseries/authentication_rate

GET 

gpdomains/v2/timeseries/authentication_rate

Retrieve daily Google Postmaster v2 SPF, DKIM, and DMARC authentication success rates across all or filtered Google Postmaster v2 monitored domains

Query Parameters​

stats_date_from string Required
Start date for filtering statistics. Use date-time without timezone because Google Postmaster records are stored as calendar-date records with the timestamp set to the start of that day. Example: 2021-07-06T00:00:00.000Z. Do not send timezone offsets

stats_date_to string Required
End date for filtering statistics. Use date-time without timezone because Google Postmaster records are stored as calendar-date records with the timestamp set to the start of that day. Example: 2021-08-06T00:00:00.000Z. Do not send timezone offsets. The difference between stats_date_from and stats_date_to must not exceed 30 days

domain string
Filter Google Postmaster v2 domains by a domain name substring

profile_id string
Filter Google Postmaster v2 domains by profile ID

compliance string
Filter by domain compliance status. Accepts a comma-separated string or JSON array of values.

Returns

  • dataarray
    Daily authentication statistics in ascending date order
    • datestring
      UTC calendar date for the authentication statistics
    • spfnumber
      Average SPF authentication success rate for the date
    • dkimnumber
      Average DKIM authentication success rate for the date
    • dmarcnumber
      Average DMARC authentication success rate for the date
Error Codes

400 Bad Request

Bad Request

401 Unauthorized

Unauthorized

403 Forbidden

Forbidden

500 Internal Server Error

Internal server error